Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Anomaly Chat

post
Body
questionstring · nullableOptional
computerNamestring · nullableOptional
enginestring · nullableOptional
lookbackMinutesinteger · int32 · nullableOptional
Responses
200

OK

answerstring · nullableOptional
successbooleanOptional
modestring · nullableOptional
tokenUsageanyOptional
post/api/anomaly-chat
POST /api/anomaly-chat HTTP/1.1
Host: portal.nuvens.cloud/
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "question": "text",
  "computerName": "text",
  "engine": "text",
  "lookbackMinutes": 1
}
200

OK

{
  "answer": "text",
  "summary": {
    "computerName": "text",
    "username": "text",
    "directoryId": "text",
    "region": "text",
    "windowStartUtc": "2026-01-01T00:00:00.000Z",
    "windowEndUtc": "2026-01-01T00:00:00.000Z",
    "hasPerformanceIssue": true,
    "overallAssessment": "text",
    "cpuAvgPct": 1,
    "cpuP95Pct": 1,
    "memoryAvgPct": 1,
    "memoryP95Pct": 1,
    "swapP95Pct": 1,
    "rootFreeGb": 1,
    "userFreeGb": 1,
    "networkInKbP95": 1,
    "networkOutKbP95": 1,
    "latencyMs": 1,
    "latencyMsP95": 1,
    "averageStartupSeconds": 1,
    "topProcesses": [
      {
        "processName": "text",
        "avgCpuPct": 1,
        "avgMemoryMb": 1,
        "peakMemoryMb": 1,
        "avgDiskIoOps": 1,
        "avgProcessCount": 1,
        "category": "text"
      }
    ],
    "anomalies": [
      {
        "id": 1,
        "detectedUtc": "2026-01-01T00:00:00.000Z",
        "metric": "text",
        "severity": "text",
        "observed": 1,
        "baselineCenter": 1,
        "score": 1,
        "evidenceJson": "text"
      }
    ]
  },
  "success": true,
  "mode": "text",
  "candidates": [
    {
      "workspaceId": "text",
      "computerName": "text",
      "username": "text",
      "email": "text",
      "displayName": "text"
    }
  ],
  "tokenUsage": null,
  "estateSummary": {
    "metric": "text",
    "value": 1,
    "error": "text",
    "timestampUtc": "2026-01-01T00:00:00.000Z"
  }
}

Last updated